Subject: RE: [Ietf-behave] About that TCP draft ....

From: "Kaushik Biswas (kbiswas)" <[email-masked]>
Date: Mon, 24 Oct 2005 11:30:14 -0700 (PDT)

A new revision of draft-sivakumar-behave-nat-tcp-req-02.txt is available
with changes so as to conform to the UDP-draft terminology. Also,
references to behave-gen removed and other changes made to reflect the
WG consensus.

Comments appreciated. We would like to request this to be adopted as WG
document.

Thanks,
Kaushik  

> -----Original Message-----
> From: ietf-behave-bounces@xxxxxxxxxxxxxxxxxxx 
> [mailto:ietf-behave-bounces@xxxxxxxxxxxxxxxxxxx] On Behalf Of 
> Pyda Srisuresh
> Sent: Saturday, September 24, 2005 9:34 AM
> To: Cullen Jennings [fluffy@xxxxxxxxx]; Behave
> Subject: Re: [Ietf-behave] About that TCP draft ....
> 
> 
> --- Cullen Jennings <fluffy@xxxxxxxxx> wrote:
> 
> > 
> > We seem to have closed up the UDP stuff and I was hoping to 
> solve some 
> > of the issues around the TCP work. Trolling through old 
> email traffic, 
> > I formed a list of issues that have been discussed. We may have 
> > already come to closure on many of these. I probably missed 
> many. My 
> > take of the conclusions may be all wrong, but ...
> > 
> > When there is not an open mapping, what is the response to 
> an SYN? I 
> > think we agreed not to send a RST. There has been discussion on 
> > sending an ICMP error of some sort.
> 
> [suresh] My recollection is to simply drop. 
> 
> > 
> > When there is an open mapping, what to do with incoming 
> packets such 
> > at SYN, SYNACK, and LAST_ACK? I suspect the only reasonable 
> answer is forward them.
> > 
> 
> [suresh] Cullen - By "open mapping", if you are refering to 
> an open TCP NAT Session, I agree with what you say. However, 
> if "open mapping" refers to an open Binding, permitting or 
> not permitting the SYN packet depends on the directionality 
> of the Binding on the NAT.
> 
> cheers,
> suresh
> 
> 
> _______________________________________________
> Ietf-behave mailing list
> Ietf-behave@xxxxxxxxxxxxxxxxxxx
> https://list.sipfoundry.org/mailman/listinfo/ietf-behave
>